%define cvsdate 20060204
#define snapshot cvs-%cvsdate
%define snapshot 1.70.0

%define appname krusader
%define altrelease 2

Name: %appname
Version: 1.70.0
#Release: alt0.M24.2.stable
Release: alt0.M24.2.stable
Source0: %appname-%snapshot.tar.gz

Packager: Nick S. Grechukh <gns@altlinux.ru>
Group: File tools
Summary: A twin panel file manager for kde - unstable version
License: GPL
Url: http://krusader.sourceforge.net

# Automatically added by buildreq on Mon Aug 02 2004
BuildRequires: kernel-headers XFree86-devel fontconfig freetype2 gcc-c++ hostinfo kde-settings kdelibs-devel libarts-devel libjpeg-devel libpng3-devel libqt3-devel libstdc++-devel xml-utils zlib-devel kdebase-devel

BuildRequires: rpm-build-compat >= 0.1

%description
Krusader is an advanced twin-panel (commander-style) file-manager for KDE 3.x (similar to Midnight or Total Commander) but with many extras.
It provides all the file-management features you could possibly want. Plus: extensive archive handling, mounted filesystem support, FTP, advanced search module, viewer/editor, directory synchronisation, file content comparisons, powerful batch renaming and much much more.
Krusader supports the following archive formats: tar, zip, bzip2, gzip, rar, ace, arj and rpm and can handle other KIOSlaves such as smb:// or fish://.
It is (almost) completely customizable, very user friendly, fast and looks great on your desktop! :-) You should give it a try.

%prep
%setup -q -n %appname-%snapshot
%__subst "s/\(Wl,--no-undefined\)/-Wl,--warn-unresolved-symbols \1/g" admin/acinclude.m4.in
%__subst "s/\-lkdeui/-lkdeui -lpthread/g" admin/acinclude.m4.in
%__subst "s/\.la/.so/g" admin/acinclude.m4.in
make -f admin/Makefile.common cvs ||:
%__subst 's,\.la,.so,' configure

%build
export KDEDIR=%_prefix
export QTDIR=%_libdir/qt3
%configure \
        --disable-rpath \
	--with-xinerama \
	--disable-debug \
	--disable-static \
	--enable-shared

### SMP build is buggy! don't use make_build
%make

%install
%makeinstall

cp %buildroot/%_iconsdir/locolor/16x16/apps/%appname.png %buildroot/%_iconsdir

%find_lang %appname --with-kde

%post
%update_menus

%postun
%clean_menus

%files -f %appname.lang
%_bindir/%appname
%_libdir/kde3/*
#exclude %_libdir/kde3/kio_tar.*
###%%_menudir/%appname
%_datadir/apps/%appname
%_datadir/apps/konqueror/servicemenus/*.desktop
%_datadir/applnk/%{appname}*.desktop
%_datadir/config/*
%doc README ChangeLog TODO CVSNEWS
%_iconsdir/*/*/*/*.png
%_iconsdir/%name.png
%_man1dir/*
%_datadir/services/*.protocol

%changelog
* Wed Feb 15 2006 Nick S. Grechukh <gns@altlinux.org> 1.70.0-alt0.M24.2.stable
- backport to ALT Linux M24

* Tue Feb 14 2006 Nick S. Grechukh <gns@altlinux.org> 1.70.0-alt2.stable
- stable release

* Mon Feb 06 2006 Nick S. Grechukh <gns@altlinux.org> 1.70.0-alt1.beta2.cvs20060204.2
- fresh snapshot

* Wed Jan 18 2006 Nick S. Grechukh <gns@altlinux.org> 1.70.0-alt1.beta2.cvs20060116.1
- fresh snapshot

* Sun Dec 18 2005 Nick S. Grechukh <gns@altlinux.ru> 1.70.0-alt1.beta2.cvs20051129.2
- new beta release

* Wed Oct 05 2005 Nick S. Grechukh <gns@altlinux.ru> 1.70.0-alt1.beta1.cvs20051005.1
- new release

* Mon Aug 08 2005 Nick S. Grechukh <gns@altlinux.ru> 1.60.0-alt1.beta2.cvs20050807.1
- 2005-08-07 (see changelog for details):
    ADDED: right click menu -> trash, delete, shred options
    ADDED: column types can be changed and saved individually to each panel
    (each side)
    --architecture-- refactoring in the view. things might be a bit unstable
    ADDED: select remote encoding menu for fish, ftp and sftp protocols
    ADDED: clear-location-bar button a-la konqueror (configurable)
    ADDED: permissions column as octal numbers
    ADDED: right-click menu now has a "create new..." submenu
    ADDED: ctrl-alt-enter opens the current folder in a new tab
    ADDED: calculate space in archives and remote FS (KDE >= 3.3.0)
    ADDED: synchronize selected files
    ADDED: colorful synchronizer :-)

* Fri Jul 22 2005 Nick S. Grechukh <gns@altlinux.ru> 1.60.0-alt1.beta2.cvs20050721.1
- 20050721: see changelog. AFAIK speed on big directories VERY improved.

* Thu Apr 07 2005 Nick S. Grechukh <gns@altlinux.ru> 1.60.0-alt1.beta2.cvs20050406
- new snapshot (unstable branch)

* Thu Jan 20 2005 ALT QA Team Robot <qa-robot@altlinux.org> 1.51-alt1.stable.1
- Rebuilt with libstdc++.so.6.

* Wed Dec 15 2004 Nick S. Grechukh <gns@altlinux.ru> 1.51-alt1.stable
- 1.51. thanks to Valery Inozemtsev aka shrek@ for help!

* Tue Oct 19 2004 Nick S. Grechukh <gns@altlinux.ru> 1.50-alt1.beta1
- new beta version

* Wed Oct 13 2004 Nick S. Grechukh <gns@altlinux.ru> 1.40-alt2.5.cvs.20041011
- new snapshot

* Tue Aug 31 2004 Nick S. Grechukh <gns@altlinux.ru> 1.40-alt2.4.cvs.20040831
new snapshot. Features:
- when closing krusader, the tabs are saved and restored.
- new delete dialog box: lists the file names to be deleted
- iso protocol for viewing .iso cd/dvd images
- .. and more.

* Mon Aug 16 2004 Nick S. Grechukh <gns@altlinux.ru> 1.40-alt2.4.cvs.20040815
- new snapshot. fixed #4495

* Fri Aug 06 2004 Nick S. Grechukh <gns@altlinux.ru> 1.40-alt2.3stable
- rollback to stable version... (for M2.4)

* Thu Aug 05 2004 Nick S. Grechukh <gns@altlinux.ru> 1.40-alt2.2.cvs.20040801
- added comment and dirty workaround about buggy SMP build

* Wed Aug 04 2004 Nick S. Grechukh <gns@altlinux.ru> 1.40-alt2.1.cvs.20040801
- fixed build on SMP

* Tue Aug 03 2004 Nick S. Grechukh <gns@altlinux.ru> 1.40-alt1.2.cvs.20040801
- export KDEDIR and QTDIR - as temporary workaround

* Tue Aug 03 2004 Nick S. Grechukh <gns@altlinux.ru> 1.40-alt1.1.cvs.20040801
- fixed libpng buildreq

* Mon Aug 02 2004 Nick S. Grechukh <gns@altlinux.ru> 1.40-alt1.cvs.20040801
- new cvs snapshot. Specfile cleaned, according to ALT specfiles policy. Buildreq regenerated.

* Sun Jun 13 2004 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.40-alt0.2.beta1
- new description
- fix requires

* Tue Apr 13 2004 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.40-alt0.1.beta1
- 1.40-beta1

* Mon Mar 29 2004 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.30-alt3
- fix bugs

* Tue Jan 27 2004 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.30-alt2
- fix builrequires

* Tue Dec 09 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.30-alt1
- 1.30

* Wed Oct 01 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.20-alt2
- new buildrequires and rebuilding in hasher

* Sun Jun 22 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.20-alt1
- 1.20

* Mon Feb 03 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.11-alt3
- rebuild in new kde

* Sun Jan 26 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.11-alt2
- new requires and buildrequires

* Sat Nov 16 2002 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.11-alt1
- 1.11
- rebuild for kde-3.1

* Fri Sep 20 2002 Sergey V Turchin <zerg@altlinux.ru> 1.10-alt1
- new version
- build with gcc3.2

* Thu Jun 04 2002 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.0.2-alt1
- 1.0.2

* Thu Jan 03 2002 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.0-alt1
- 1.0

* Tue Jan 01 2002 Shie Erlich & Rafi Yanai <krusader@users.sourceforge.net> Releaze version 1.0
- 1.0
